> ## Documentation Index
> Fetch the complete documentation index at: https://docs.northbeam.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a list of orders



## OpenAPI

````yaml openapi/orders-v1.json GET /orders
openapi: 3.1.0
info:
  title: API - Orders - V1 (Deprecated)
  description: API for syncing data from ecommerce shops to the Northbeam app.
  termsOfService: https://www.northbeam.io/terms
  contact:
    name: Northbeam customer success
    email: success@northbeam.io
  version: 1.0.1
servers:
  - url: https://api.northbeam.io/v1
    description: Production server (uses live data)
  - url: https://api-uat.northbeam.io/v1
    description: >-
      User Acceptance Testing (UAT), Production Equivalent (provided for
      Customer Testing ONLY, orders submitted here do not get used in
      attribution)
security:
  - api_key: []
    client_id: []
tags: []
paths:
  /orders:
    get:
      summary: Fetch a list of orders
      parameters:
        - in: query
          name: start_date
          description: Start date of the form %Y-%m-%d
          required: true
          schema:
            type: string
            default: '2001-01-01'
        - in: query
          name: end_date
          description: End date of the form %Y-%m-%d
          required: true
          schema:
            type: string
            default: '9999-01-01'
      responses:
        '200':
          description: Orders fetched
        '401':
          description: Unauthenticated
        '500':
          description: Could not fetch
components:
  securitySchemes:
    api_key:
      type: apiKey
      name: Authorization
      in: header
    client_id:
      type: apiKey
      name: Data-Client-ID
      in: header

````